/* サブカテゴリー表示の際、計算に必要 */
:root {
  /* input の高さ */
  --input-h: 52px;
  --search-item-m: 35px;
  --height-variable: 52px;
}

@media screen and (max-width: 768px) {
  :root {
    --input-h: 50px;
    --search-item-m: 25px;
  }
}

.modaal-wrapper {
  z-index: 100000;
}

.modaal-content-container {
  padding-inline: 0;
}
@media screen and (max-width: 768px) {
  .modaal-content-container {
    padding: 50px 20px 80px 20px;
  }
}
.modaal-fullscreen .modaal-close {
  background: inherit;
  right: 36px;
  top: 36px;
  width: 54px;
  height: 54px;
  border-radius: 0;
  transition: opacity 0.4s ease;
}
@media (hover: hover) {
  .modaal-fullscreen .modaal-close:hover {
    opacity: 0.7;
  }
}
@media screen and (max-width: 768px) {
  .modaal-fullscreen .modaal-close {
    position: absolute;
    right: 0;
    top: 0;
    width: 53px;
    height: 60px;
  }
}
.modaal-close::after,
.modaal-close::before {
  height: 72px;
  top: -10px;
  left: 25px;
  border-radius: 0;
  background-color: var(--color-black);
  width: 2px;
}
@media screen and (max-width: 768px) {
  .modaal-close::after,
  .modaal-close::before {
    top: 15px;
    height: 40px;
    left: 24px;
  }
}
.modaal-fullscreen .modaal-close:hover::after,
.modaal-fullscreen .modaal-close:hover::before {
  background-color: var(--color-black);
}

/* モーダル内 */
.qa-search-modal {
  visibility: hidden;
  opacity: 0;
  position: fixed;
}
.c-qa-search-modal-content {
  max-width: 1040px;
  padding-inline: 30px;
  margin: 50px auto 70px;
}
@media screen and (max-width: 768px) {
  .c-qa-search-modal-content {
    padding: 0;
    width: auto;
    margin: 0 auto;
  }
}

.c-qa-search-modal-content__text {
  font-size: 16px;
}
.c-qa-search-modal-content__text span {
  font-family: "HondaGlobalFontJP-Bold", sans-serif;
}

.p-qa-search-modal__note {
  padding: 20px 20px 30px;
  border: solid 1px #a0a0a0;
  font-size: 16px;
  margin-top: 20px;
}
.p-qa-search-modal__note-title {
  font-family: "HondaGlobalFontJP-Bold", sans-serif;
  color: #cc0000;
  margin-bottom: 15px;
}
.p-qa-search-modal__note-text a {
  color: #000;
  transition: .4s ease;
  text-decoration: underline;
}
@media (hover: hover) {
  .p-qa-search-modal__note-text a:hover {
    opacity: .7;
  }
}
@media screen and (max-width: 768px) {
  .p-qa-search-modal__note {
    font-size: 15px;
  }
}

.QAtop-qa-search__sample {
  padding: 20px;
  background-color: #f7f7f7;
}
.QAtop-qa-search__sample-text {
  display: flex;
  line-height: 2;
}
.QAtop-qa-search__sample-text span:first-of-type {
  background-color: #000;
  color: #fff;
  border-radius: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 1;
}
.QAtop-qa-search__sample-text span:last-of-type {
  flex: 1;
}
@media screen and (min-width: 769px), print {
  .QAtop-qa-search__sample {
    margin-top: 30px;
    margin-bottom: 50px;
  }
  .QAtop-qa-search__sample-text {
    font-size: 16px;
  }
  .QAtop-qa-search__sample-text span:first-of-type {
    width: 74px;
    height: 28px;
    margin-right: 10px;
  }
}
@media screen and (max-width: 768px) {
  .QAtop-qa-search__sample {
    margin: 30px -20px;
  }
  .QAtop-qa-search__sample-text {
    font-size: 14px;
    letter-spacing: 0;
  }
  .QAtop-qa-search__sample-text span:first-of-type {
    width: 54px;
    height: 26px;
    margin-right: 3px;
  }
}


.c-search-modal-content button {
  appearance: none;
  border: none;
  outline: none;
  box-sizing: border-box;
  box-shadow: none;
}

.c-qa-search-modal-content__title > h2 {
  font-family: "HondaGlobalFontJP-Bold", sans-serif;
  font-size: 46px;
  line-height: 1;
  margin-bottom: 40px;
  letter-spacing: 0;
}
@media screen and (max-width: 768px) {
  .c-qa-search-modal-content__title > h2 {
    font-size: 30px;
    margin-bottom: 30px;
  }
}

.c-qa-search-modal-content__qa-search {
  margin-bottom: 60px;
}
@media screen and (max-width: 768px) {
  .c-qa-search-modal-content__qa-search {
    margin-bottom: 30px;
  }
}
button.c-qa-search-modal-content__qa-search-cancel {
  font-family: "HondaGlobalFontJP-Bold", sans-serif;
  cursor: pointer;
  display: block;
  width: 304px;
  padding: 13px;
  margin: 50px auto 0;
  border-radius: 9999px;
  color: #fff;
  text-align: center;
  background-color: #000;
  transition: opacity 0.4s ease;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: -0.1em;
}
@media screen and (max-width: 768px) {
  button.c-qa-search-modal-content__qa-search-cancel {
    margin-top: 40px;
    width: calc(305 / 335 * 100%);
    max-width: 305px;
    font-size: 14px;
  }
}
@media (hover: hover) {
  .c-qa-search-modal-content__qa-search-cancel:hover {
    opacity: 0.7;
  }
}

